Subject: [alpine-aports] [PATCH] testing/perl-net-ident: new aport

From: Valery Kartel <[email-masked]>
Date: Sun, 13 Dec 2015 17:59:23 +0200

---
 testing/perl-net-ident/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-net-ident/APKBUILD

diff --git a/testing/perl-net-ident/APKBUILD b/testing/perl-net-ident/APKBUILD
new file mode 100644
index 0000000..3c4f4f8
--- /dev/null
+++ b/testing/perl-net-ident/APKBUILD
@@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-net-ident
+_pkgreal=Net-Ident
+pkgver=1.24
+pkgrel=0
+pkgdesc="Lookup the username on the remote end of a TCP/IP connection"
+url="http://search.cpan.org/dist/Net-Ident/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="460294a8ac8482eb5ed24c62048bbbc4  Net-Ident-1.24.tar.gz"
+sha256sums="5f5f1142185a67b87406a3fb31f221564f61838a70ef4c07284a66c55e82ad05  Net-Ident-1.24.tar.gz"
+sha512sums="877a2699964323b009dbdbab134bb329acf71758e48165f4d19bb8e49d0c02786f58ab32bb1bc2ff6c4d375d4b64128207cbbf3c858a6db2e30bd2733474d740  Net-Ident-1.24.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---